Skip to content
payrocdevelopers

Retrieve payment link

Browse API reference

GET/payment-links/{paymentLinkId}retrievePaymentLink

Use this method to retrieve information about a payment link.

To retrieve a payment link, you need its paymentLinkId. Our gateway returned the paymentLinkId in the response of the Create Payment Link method.

Note: If you don't have the paymentLinkId, use our List Payment Links method to search for the payment link.

Our gateway returns the following information about the payment link:

  • type - Indicates whether the link can be used only once or if it can be used multiple times.
  • authType - Indicates whether the transaction is a sale or a pre-authorization.
  • paymentMethods - Indicates the payment method that the merchant accepts.
  • charge - Indicates whether the merchant or the customer enters the amount for the transaction.
  • status - Indicates if the payment link is active.

Parameters

NameInTypeDescription
paymentLinkIdRequiredpathstring

Unique identifier that we assigned to the payment link.

Responses

Successful request. We return a polymorphic object that contains payment link information. The value of the type parameter determines which variant you should use:

  • multiUse - Create a link that the merchant can use to take multiple payments.
  • singleUse - Create a link that the merchant can use for only one payment.
200 OK · application/json
{
  "assets": {
    "paymentButton": "<a href=\"https://payments.payroc.com/merchant/pay-by-link?token=02ada211-ff51-4845-b0b5-e685aeb4b19d\" \ntarget=\"_blank\" style=\"color: #ffffff; background-color: #6C7A89; font-size: 18px; font-family: Helvetica, Arial, sans-serif; \ntext-decoration: none; border-radius: 30px; padding: 14px 28px; display: inline-block;\">SUPPORT US</a>\n",
    "paymentUrl": "https://payments.payroc.com/merchant/pay-by-link?token=02ada211-ff51-4845-b0b5-e685aeb4b19d"
  },
  "authType": "sale",
  "createdOn": "2024-09-24",
  "customLabels": [
    {
      "element": "paymentButton",
      "label": "SUPPORT US"
    }
  ],
  "merchantReference": "LinkRef6543",
  "order": {
    "charge": {
      "currency": "USD",
      "type": "prompt"
    },
    "description": "Pie It Forward charitable trust donation"
  },
  "paymentLinkId": "JZURRJBUPS",
  "paymentMethods": [
    "card",
    "bankTransfer"
  ],
  "status": "active",
  "type": "multiUse"
}
Response schema · 43 of 57 fields
  • multiUseobject
    Object that contains information about a multi-use payment link.
    • assetsobject
      Object that contains shareable assets for the payment link.
      • paymentButtonstringhtmlrequired
        HTML code for the payment link. You can embed the HTML code in the merchant's website.
      • paymentUrlstringrequired
        URL of the payment link.
    • authTypestringrequired
      Type of transaction.salepreAuthorization
    • createdOnstringdate
      Date that the merchant created the link. The format of this value is YYYY-MM-DD.
    • credentialOnFileobject
      Object that contains information about saving the customer’s payment details.
      • mitAgreementstring
        Indicates how the merchant can use the customer’s card details, as agreed by the customer: unscheduled Transactions for a fixed or variable amount that are run at a certain pre-defined event. recurring Transactions for a fixed amount that are run at regular intervals, for example, monthly. Recurring transactions don’t have a fixed duration and run until the customer cancels the agreement. installment Transactions for a fixed amount that are run at regular intervals, for example, monthly. Installment transactions have a fixed duration. Note: If you send a value for mitAgreement, you must send the standingInstructions object in the paymentOrder object.unscheduledrecurringinstallment
      • tokenizeboolean
        Indicates if our gateway should tokenize the customer’s payment details as part of the transaction.
    • customLabelsobject[]
      Array of customLabel objects. Note: You can change the label of the payment button only.
      • elementstring
        Element that you want to provide a custom label for.paymentButton
      • labelstring
        Custom label to display on the element.1–24 chars
    • expiresOnstringdate
      Last date that the customer can use the payment link. The format of this value is YYYY-MM-DD. Note: If you don't provide an expiration date, the default expiration period applies. You can change the default expiration period on the Self-Care Portal.
    • merchantReferencestringrequired
      Unique identifier that the merchant assigned to the payment.1–48 chars
    • orderobjectrequired
      Object that contains information about the order.
      • chargeobjectrequired
        Polymorphic object that indicates who enters the amount for the payment link. The value of the type parameter determines which variant you should use: prompt Customer enters the amount. preset Merchant sets the amount.+7 more fields at deeper levels — see the full spec
      • descriptionstring
        A brief description of the transaction.≤ 1024 chars
    • paymentLinkIdstring
      Unique identifier that we assigned to the payment link.10–10 chars
    • paymentMethodsstring[]required
      Payment methods that the merchant accepts. Note: If a payment is a pre-authorization, the customer must pay by card.
    • statusstring
      Status of the payment link. The value is one of the following: active Payment link is active. completed Customer has paid. deactivated Merchant has deactivated the link. expired Payment link has expired.activecompleteddeactivatedexpired
    • typestringrequired
      Type of link. The merchant can use a multi-use link to take multiple payments.multiUse
  • singleUseobject
    Object that contains information about a single-use payment link.
    • assetsobject
      Object that contains shareable assets for the payment link.
      • paymentButtonstringhtmlrequired
        HTML code for the payment link. You can embed the HTML code in the merchant's website.
      • paymentUrlstringrequired
        URL of the payment link.
    • authTypestringrequired
      Type of transaction.salepreAuthorization
    • createdOnstringdate
      Date that the merchant created the link. The format of this value is YYYY-MM-DD.
    • credentialOnFileobject
      Object that contains information about saving the customer’s payment details.
      • mitAgreementstring
        Indicates how the merchant can use the customer’s card details, as agreed by the customer: unscheduled Transactions for a fixed or variable amount that are run at a certain pre-defined event. recurring Transactions for a fixed amount that are run at regular intervals, for example, monthly. Recurring transactions don’t have a fixed duration and run until the customer cancels the agreement. installment Transactions for a fixed amount that are run at regular intervals, for example, monthly. Installment transactions have a fixed duration. Note: If you send a value for mitAgreement, you must send the standingInstructions object in the paymentOrder object.unscheduledrecurringinstallment
      • tokenizeboolean
        Indicates if our gateway should tokenize the customer’s payment details as part of the transaction.
    • customLabelsobject[]
      Array of customLabel objects. Note: You can change the label of the payment button only.
      • elementstring
        Element that you want to provide a custom label for.paymentButton
      • labelstring
        Custom label to display on the element.1–24 chars
    • expiresOnstringdaterequired
      Last date that the customer can use the payment link. The format of this value is YYYY-MM-DD.
    • merchantReferencestringrequired
      Unique identifier that the merchant assigned to the payment.1–48 chars
    • orderobjectrequired
      Object that contains information about the order.
      • chargeobjectrequired
        Polymorphic object that indicates who enters the amount for the payment link. The value of the type parameter determines which variant you should use: prompt Customer enters the amount. preset Merchant sets the amount.+7 more fields at deeper levels — see the full spec
      • descriptionstring
        A brief description of the transaction.≤ 1024 chars
      • orderIdstringrequired
        Unique identifier that the merchant assigned to the order.1–24 chars
    • paymentLinkIdstring
      Unique identifier that we assigned to the payment link.10–10 chars
    • paymentMethodsstring[]required
      Payment methods that the merchant accepts. Note: If the payment is a pre-authorization, the customer must pay by card.
    • statusstring
      Status of the payment link. The value is one of the following: active Payment link is active. completed Customer has paid. deactivated Merchant has deactivated the link. expired Payment link has expired.activecompleteddeactivatedexpired
    • typestringrequired
      Type of link. The merchant can use this link for only one payment.singleUse

Used in workflows

Search documentation

API reference169
Guides118
Knowledge38
legal1
Solutions32
Workflows74
↑↓highlight↵openView all search results

Menu

Theme

Sign out

Your saved plans remain in your organization. This browser’s private draft and account view will be cleared.

Talk to an engineer